Suspend Team Member
This API helps in suspending a team member temporarily from a team. Learn more.
Note:
Only Team Admins can suspend a team member from the team.
Information:
A suspended member will immediately lose access to the team account and any synced files.
Files and folders uploaded or created by the member will remain active.
The user license of a suspended member will be canceled. The admin can either re-use it for a new member or reimburse the license.
Once the member is activated and removed from the suspension, they can resume all activities and regain access to all their files.
Endpoints
OAuth Scope
WorkDrive.users.UPDATECopied!
curl --request PATCH \
--url https://www.zohoapis.com/workdrive/api/v1/users/{team_member_id} \
--header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52' \
--header 'content-type: application/vnd.api+json' \
--data '{"data":{"attributes":{"status":"SUSPENDED"},"type":"users"}}'Path Parameters
team_member_idstring(Required)
The unique ID of a team member who will be suspended from the team.
Request Body
application/vnd.api+jsondataJSON Object(Required)
Hide Sub-Attributes
attributesJSON Object(Required)
Hide Sub-Attributes
statusstring(Required)
Set as "SUSPENDED".
typestring(Required)
The JSON:API resource type. Always "users".
Allowed Values :
Show Values ▾
usersCopied!
Copy all as JSON Array
{
"data": {
"attributes": {
"status": "SUSPENDED"
},
"type": "users"
}
}
{
"data": {
"id": "ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012",
"type": "users",
"attributes": {
"email_id": "reyansh.ahuja@zylker.com",
"member_type": 1,
"theme_color": "28B294",
"getting_started": 1,
"is_org_template_admin": true,
"favoritedfiles_view_pref": {
"sort_by": "last_modified",
"sort_order": "desc",
"filtered_by": "all",
"layout": "list"
},
"default_view_type": 2,
"view_pref": {
"sort_by": "last_modified",
"sort_order": "desc",
"layout": "list"
},
"edition": "TEAM",
"unread_count_myspace": 0,
"storage_info": {
"size": "92.0 KB",
"storage_used": "92.0 KB",
"files_count": 1,
"folders_count": 0,
"size_in_bytes": 94427,
"storage_used_in_bytes": 94427
},
"mig_status": 0,
"last_login_time_in_millisecond": 0,
"files_view_pref": {
"sort_by": "last_modified",
"sort_order": "desc",
"filtered_by": "all",
"layout": "list"
},
"invited_time": 1618250069143,
"user_type": 1,
"labeledfiles_view_pref": {
"sort_by": "last_modified",
"sort_order": "desc",
"filtered_by": "all",
"layout": "list"
},
"role_id": 31,
"preferred_view": "TEAM",
"is_sync_enabled": true,
"has_myfolder": true,
"last_accessed_library": "",
"is_mobile_enabled": true,
"last_accessed_folder": "",
"enable_myspace_restriction_all": false,
"connected_devices": 0,
"outgoingfiles_view_pref": {
"sort_by": "last_modified",
"sort_order": "desc",
"filtered_by": "all",
"layout": "list"
},
"capabilities": {
"can_access_myfolder": true,
"can_have_org_templates": true,
"can_sync": true,
"can_create_team": true
},
"incomingfiles_view_pref": {
"sort_by": "shared_time",
"sort_order": "desc",
"filtered_by": "all",
"layout": "list"
},
"app_names": [],
"is_personal_exist": false,
"display_name": "Zylker Creation",
"zuid": "747938058",
"trashedfiles_view_pref": {
"sort_by": "last_modified",
"sort_order": "desc",
"filtered_by": "all",
"layout": "list"
},
"avatar_url": "https://contacts.zoho.com/file?t=user&ID=747938058&fs=thumb&nps=404",
"allowed_myspace_storage": -1,
"is_unread_myspace": false,
"invited_time_i18": "Apr 12, 11:24 PM",
"zid_type": 262144,
"status": "SUSPENDED"
},
"relationships": {
"privatespace": {
"links": {
"self": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/relationships/privatespace",
"related": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/privatespace"
}
},
"teams": {
"links": {
"self": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/relationships/teams",
"related": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/teams"
}
},
"devices": {
"links": {
"self": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/relationships/devices",
"related": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/devices"
}
},
"records": {
"links": {
"self": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/relationships/records",
"related": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/records"
}
},
"enterprise": {
"links": {
"self": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/relationships/enterprise",
"related": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/enterprise"
}
},
"incomingfiles": {
"links": {
"self": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/relationships/incomingfiles",
"related": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/incomingfiles"
}
},
"libraries": {
"links": {
"self": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/relationships/libraries",
"related": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/libraries"
}
},
"favoritedfiles": {
"links": {
"self": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/relationships/favoritedfiles",
"related": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/favoritedfiles"
}
},
"groups": {
"links": {
"self": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/relationships/groups",
"related": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/groups"
}
},
"labels": {
"links": {
"self": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/relationships/labels",
"related": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/labels"
}
},
"recentfiles": {
"links": {
"self": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/relationships/recentfiles",
"related": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/recentfiles"
}
},
"license": {
"links": {
"self": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/relationships/license",
"related": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/license"
}
},
"recordsuggestions": {
"links": {
"self": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/relationships/recordsuggestions",
"related": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/recordsuggestions"
}
},
"organization": {
"links": {
"self": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/relationships/organization",
"related": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/organization"
}
},
"collaborators": {
"links": {
"self": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/relationships/collaborators",
"related": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/collaborators"
}
},
"labeledfiles": {
"links": {
"self": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/relationships/labeledfiles",
"related": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/labeledfiles"
}
},
"incomingfolders": {
"links": {
"self": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/relationships/incomingfolders",
"related": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/incomingfolders"
}
},
"workspaces": {
"links": {
"self": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/relationships/workspaces",
"related": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/workspaces"
}
},
"unreadfiles": {
"links": {
"self": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/relationships/unreadfiles",
"related": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/unreadfiles"
}
},
"tasks": {
"links": {
"self": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/relationships/tasks",
"related": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/tasks"
}
},
"notifications": {
"links": {
"self": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/relationships/notifications",
"related": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/notifications"
}
},
"contacts": {
"links": {
"self": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/relationships/contacts",
"related": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/contacts"
}
},
"apps": {
"links": {
"self": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/relationships/apps",
"related": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012/apps"
}
}
},
"links": {
"self": "https://www.zohoapis.com/workdrive/users/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002012"
}
}
}
{
"errors": [
{
"id": "U001",
"title": "User not a part of this zsoid"
}
]
}
{
"errors": [
{
"id": "R008",
"title": "Unauthorized access"
}
]
}
{
"errors": [
{
"id": "A006",
"title": "Does not have permission to change Super Administrator role"
}
]
}
{
"errors": [
{
"id": "A001",
"title": "Invalid action type passed"
}
]
}
{
"errors": [
{
"id": "R004",
"title": "Invalid resourceId"
}
]
}
{
"errors": [
{
"id": "U083",
"title": "User is associated in the bundle"
}
]
}
{
"errors": [
{
"id": "T017",
"title": "Maximum one member should be a super admin"
}
]
}
{
"errors": [
{
"id": "U017",
"title": "Does not have permission to remove the user"
}
]
}
{
"errors": [
{
"id": "U039",
"title": "User account was closed"
}
]
}
{
"errors": [
{
"id": "U016",
"title": "User not part of team"
}
]
}
{
"errors": [
{
"id": "F000",
"title": "General exception"
}
]
}
{
"errors": [
{
"id": "U010",
"title": "User not a part of this zsoid"
}
]
}
{
"errors": [
{
"id": "U031",
"title": "User is already have same role"
}
]
}
{
"errors": [
{
"id": "U030",
"title": "Invalid operation"
}
]
}
{
"errors": [
{
"id": "U063",
"title": "User is active in their associated apps"
}
]
}
© 2026, Zoho Corporation Pvt. Ltd. All Rights Reserved.